Delete Record
Delete Record By Id . Supported Objects are business and custom objects.
DELETE
/
objects
/
{schemaKey}
/
records
/
{id}
Delete Record
curl --request DELETE \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'DELETE',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "661c06b4ffde146bdb469442",
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Path Parameters
The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.
Example:
"custom_objects.pet or business.email (for company's email)"
Last modified on March 8, 2026
Was this page helpful?
Delete Record
curl --request DELETE \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'const options = {
method: 'DELETE',
headers: {Version: '<version>', Authorization: 'Bearer <token>'}
};
fetch('https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}"
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "661c06b4ffde146bdb469442",
"success": true
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}